org.apache.commons.io.input

## Class QueueInputStream.Builder

- java.lang.Object
- - org.apache.commons.io.build.AbstractSupplier<T,B>
  - - org.apache.commons.io.build.AbstractOriginSupplier<T,B>
    - - org.apache.commons.io.build.AbstractStreamBuilder<QueueInputStream,QueueInputStream.Builder>
      - - org.apache.commons.io.input.QueueInputStream.Builder

- All Implemented Interfaces:
    IOSupplier<QueueInputStream>
  Enclosing class:
    QueueInputStream

      public static class QueueInputStream.Builder
      extends AbstractStreamBuilder<QueueInputStream,QueueInputStream.Builder>

  Builds a new `QueueInputStream` instance.

  For example:

       QueueInputStream s = QueueInputStream.builder()
         .setBlockingQueue(new LinkedBlockingQueue<>())
         .setTimeout(Duration.ZERO)
         .get();

  Since:
    2.12.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `QueueInputStream` | `get()` Constructs a new instance.
    `QueueInputStream.Builder` | `setBlockingQueue(BlockingQueue<Integer> blockingQueue)` Sets backing queue for the stream.
    `QueueInputStream.Builder` | `setTimeout(Duration timeout)` Sets the polling timeout.

    - ### Methods inherited from class org.apache.commons.io.build.AbstractStreamBuilder

      `getBufferSize, getBufferSizeDefault, getCharSequence, getCharset, getCharsetDefault, getInputStream, getOpenOptions, getOutputStream, getPath, getWriter, setBufferSize, setBufferSize, setBufferSizeDefault, setCharset, setCharset, setCharsetDefault, setOpenOptions`

    - ### Methods inherited from class org.apache.commons.io.build.AbstractOriginSupplier

      `checkOrigin, getOrigin, hasOrigin, newByteArrayOrigin, newCharSequenceOrigin, newFileOrigin, newFileOrigin, newInputStreamOrigin, newOutputStreamOrigin, newPathOrigin, newPathOrigin, newReaderOrigin, newURIOrigin, newWriterOrigin, setByteArray, setCharSequence, setFile, setFile, setInputStream, setOrigin, setOutputStream, setPath, setPath, setReader, setURI, setWriter`

    - ### Methods inherited from class org.apache.commons.io.build.AbstractSupplier

      `asThis`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.commons.io.function.IOSupplier

      `asSupplier`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### get

          public QueueInputStream get()

      Constructs a new instance.

      This builder use the aspects BlockingQueue and timeout.

      Returns:
        a new instance.

    - #### setBlockingQueue

          public QueueInputStream.Builder setBlockingQueue(BlockingQueue<Integer> blockingQueue)

      Sets backing queue for the stream.
      Parameters:
        `blockingQueue` - backing queue for the stream.
      Returns:
        this

    - #### setTimeout

          public QueueInputStream.Builder setTimeout(Duration timeout)

      Sets the polling timeout.
      Parameters:
        `timeout` - the polling timeout.
      Returns:
        this.

Copyright © 2002–2023 The Apache Software Foundation. All rights reserved.